{
	"pools": [
		{
			"entries": [
				{
					"children": [
						{
							"conditions": [
								{
									"condition": "minecraft:any_of",
									"terms": [
										{
											"condition": "minecraft:match_tool",
											"predicate": {
												"items": "#minecraft:axes"
											}
										},
										{
											"condition": "minecraft:match_tool",
											"predicate": {
												"predicates": {
													"minecraft:enchantments": [
														{
															"enchantments": "minecraft:silk_touch",
															"levels": {
																"min": 1
															}
														}
													]
												}
											}
										}
									]
								}
							],
							"name": "minecraft:bookshelf",
							"type": "minecraft:item"
						},
						{
							"functions": [
								{
									"add": false,
									"count": 3.0,
									"function": "minecraft:set_count"
								},
								{
									"function": "minecraft:explosion_decay"
								}
							],
							"name": "minecraft:book",
							"type": "minecraft:item"
						}
					],
					"type": "minecraft:alternatives"
				}
			],
			"rolls": 1.0
		}
	],
	"type": "minecraft:block"
}